ABDUCO(1)

NAME
abduco - terminal session manager

SYNOPSIS
abduco [-e detachkey] [-r] [-f] -c name command [args ...]
abduco [-e detachkey] [-r] [-f] -n name command [args ...]
abduco [-e detachkey] [-r] [-f] [-l] -A name command [args ...]
abduco [-e detachkey] [-r] [-l] -a name

DESCRIPTION
abduco provides a way to disconnect a given application from its controlling terminal, thus it provides roughly the same session attach/detach support as screen(1), tmux(1) or dtach(1). If the command to execute is not specified, the environment variable $ABDUCO_CMD is examined, if it is not set dvtm(1) is executed. All session related information is stored in the following directories (first to succeed is used):

    $ABDUCO_SOCKET_DIR/abduco
    $HOME/.abduco
    $TMPDIR/abduco/$USER
    /tmp/abduco/$USER
However if a given session name represents either a relative or absolute path it is used unmodified. If for some reason the unix(7) domain socket representing a session is deleted, sending SIGUSR1 to the server process will recreate it.

OPTIONS
If no command line arguments are given all currently active sessions are printed sorted by their respective creation date. Lines starting with an asterik * indicate that at least one client is connected. A plus sign + indicates that the command terminated while no client was connected, attach to get its exit status.

-v  Print version information to standard output and exit.

-r  Readonly session, i.e. user input is ignored.

-e detachkey
    Set the key to detach which by default is set to CTRL+\ i.e. ^\ to detachkey.

-f  Force creation of session when there is an already terminated session of the same name, after showing its exit status.

-c  Create a new session and attach immediately to it.

-n  Create a new session but do not attach to it.

-A  Try to connect to an existing session, upon failure create said session and attach immediately to it.

-a  Attach to an existing session.

-l  Attach with the lowest priority, meaning this client will be the last to control the size.

EXAMPLE
Start a new session (assuming dvtm(1) is in $PATH) with
abduco -c my-session
do some work, then detach by pressing CTRL+\ and later reattach with
abduco -a my-session

AUTHOR
abduco is written by Marc André Tanner <mat at brain-dump.org>